/*
	listar.c
	versione semplificata per lista ricorsiva omogenea.
	19-12-2002
	rev. 30-01-2005: dato di tipo int, modificato nome funzioni
*/
#include <malloc.h>
#include "listar.h"

/* Costruttori  */

Lista listaCoppia(DATO s, Lista d){
	Lista e = (Lista)malloc(sizeof(struct _Lista));

	e->left = s;
	e->right = d;
	return e;
}

Lista listaVuota( void ){
	return NULL;
}

/*  Selettori    */

DATO listaPrimo(Lista l){
	return l->left;
}

Lista listaSecondo(Lista l){
	return l->right;
}

/*  Controllo    */

int isListaVuota(Lista l){
	return l == NULL;
}
	